Bug 175344 - [WebCrypto] Enable SerializedCryptoKeyWrapTest in iOS
Summary: [WebCrypto] Enable SerializedCryptoKeyWrapTest in iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-08 14:52 PDT by Jiewen Tan
Modified: 2017-08-10 11:48 PDT (History)
4 users (show)

See Also:


Attachments
Patch (5.75 KB, patch)
2017-08-08 15:02 PDT, Jiewen Tan
ap: review+
ap: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (5.76 KB, patch)
2017-08-09 12:15 PDT, Jiewen Tan
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2017-08-08 14:52:15 PDT
Enable SerializedCryptoKeyWrapTest API tests in iOS simulators.
Comment 1 Jiewen Tan 2017-08-08 14:52:30 PDT
<rdar://problem/28507240>
Comment 2 Jiewen Tan 2017-08-08 15:02:03 PDT
Created attachment 317624 [details]
Patch
Comment 3 Alexey Proskuryakov 2017-08-08 19:47:59 PDT
Comment on attachment 317624 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317624&action=review

> Tools/TestWebKitAPI/Tests/WebCore/cocoa/SerializedCryptoKeyWrap.mm:34
>  // A seperate bug is filed about this: <rdar://problem/28507240>.

Seems like this comment should be removed too.
Comment 4 Jiewen Tan 2017-08-09 12:13:09 PDT
Comment on attachment 317624 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317624&action=review

Thanks Alexey for r+ this patch.

>> Tools/TestWebKitAPI/Tests/WebCore/cocoa/SerializedCryptoKeyWrap.mm:34
>>  // A seperate bug is filed about this: <rdar://problem/28507240>.
> 
> Seems like this comment should be removed too.

Oops. Fixed.
Comment 5 Jiewen Tan 2017-08-09 12:15:40 PDT
Created attachment 317727 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2017-08-09 18:50:01 PDT
Comment on attachment 317727 [details]
Patch for landing

Rejecting attachment 317727 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'validate-changelog', '--check-oops', '--non-interactive', 317727, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in Tools/ChangeLog contains OOPS!.

Full output: http://webkit-queues.webkit.org/results/4287273
Comment 7 Jiewen Tan 2017-08-10 11:48:05 PDT
Committed r220536: <http://trac.webkit.org/changeset/220536>